com.ibm.openpages.api.solution

## Interface ISolutionFactory

-     public interface ISolutionFactory

  Represents the factory for the solution objects to be persisted on the system

  Since:
    8.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ISolution` | `createSolution(java.lang.String name)` Creates a new instance of a solution to be persisted on the system
    `ISolutionLayout` | `createSolutionLayout(java.lang.String name, Id solutionId, Id solutionVerId)` Creates a new instance of a solution layout to be persisted on the system
    `ISolutionTypeDefinitionOptions` | `createSolutionTypeDefinitionOptions()` Creates a new instance of an options class used for searching solution typedefinition associations.

- - ### Method Detail

    - #### createSolution

          ISolution createSolution(java.lang.String name)

      Creates a new instance of a solution to be persisted on the system
      Parameters:
        `name` - - name of the solution, which has to be unique.
      Returns:
        ISolution instance

    - #### createSolutionTypeDefinitionOptions

          ISolutionTypeDefinitionOptions createSolutionTypeDefinitionOptions()

      Creates a new instance of an options class used for searching solution typedefinition associations.
      Returns:
        ISolutionTypeDefinitionOptions instance

    - #### createSolutionLayout

          ISolutionLayout createSolutionLayout(java.lang.String name,
                                               Id solutionId,
                                               Id solutionVerId)

      Creates a new instance of a solution layout to be persisted on the system
      Parameters:
        `name` - - name of the solution layout, which has to be unique.
        `solutionId` - - Id of the solution for which this layout is created.
        `solutionVerId` - - Id of the version of the specified solution for which this layout is created.
      Returns:
        ISolutionLayout instance

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.